qspipsu: XQspiPsu_Config Struct Reference

| qspipsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XQspiPsu_Config Struct Reference
Qspipsu_v1_10

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
u32 | BaseAddress
| Base address of the device. More...
u32 | InputClockHz
| Input clock frequency. More...
u8 | ConnectionMode
| Single, Stacked and Parallel mode. More...
u8 | BusWidth
| Bus width available on board. More...
u8 | IsCacheCoherent
| Describes whether Cache Coherent or not. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

u32 XQspiPsu_Config::BaseAddress

Base address of the device.

Referenced by QspiPsuInterruptFlashExample(), QspiPsuPolledFlashExample(), QspiPsuWriteProtectFlashExample(), XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_ClearOptions(), XQspiPsu_GetOptions(), XQspiPsu_Idle(), XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_PolledTransfer(), XQspiPsu_Reset(), XQspiPsu_SetClkPrescaler(), XQspiPsu_SetOptions(), XQspiPsu_SetReadMode(), XQspiPsu_SetWP(), and XQspiPsu_WriteProtectToggle().

u8 XQspiPsu_Config::BusWidth

Bus width available on board.

Referenced by XQspiPsu_CfgInitialize().

u8 XQspiPsu_Config::ConnectionMode

Single, Stacked and Parallel mode.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashReadID(), FlashWrite(), GetRealAddr(), MultiDieRead(), QspiPsuConfigurePoll(), QspiPsuInterruptFlashExample(), QspiPsuPolledFlashExample(), QspiPsuWriteProtectFlashExample(), XQspiPsu_CfgInitialize(), and XQspiPsu_WriteProtectToggle().

u16 XQspiPsu_Config::DeviceId

Unique ID of device.

u32 XQspiPsu_Config::InputClockHz

Input clock frequency.

Referenced by XQspiPsu_CfgInitialize().

u8 XQspiPsu_Config::IsCacheCoherent

Describes whether Cache Coherent or not.

Referenced by XQspiPsu_CfgInitialize().